'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

exports.default = mergePrefixedCliArgs;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mergePrefixedCliArgs(opts, prefix) {
  var yargs = require('yargs');
  var argv = yargs.argv;
  var args = argv[prefix];
  if (!args) return opts;
  console.log('Using task-specific cli args for ' + prefix + ':', args);
  opts = _lodash2.default.merge(opts, (0, _defineProperty3.default)({}, prefix, args));
  return opts;
}
module.exports = exports['default'];