const _ = require('lodash')
const {join} = require('path')

function getOpts(opts) {
  return _.defaults(opts.nodemon, {
    script: opts.destDir + '/index.js',
    ext: 'js',
    watch: [opts.destDir],
    env: {
      NODE_ENV: 'development',
    },
  })
}

export function task(gulp, opts) {

  opts = getOpts(opts)

  gulp.task('nodemon:start', function() {
    const nodemon = require('gulp-nodemon')
    const _ = require('lodash')

    nodemon(opts.nodemon)
      //.on('start', ['watch'])
      //.on('change', ['watch'])
      .on('restart', function() {
        //console.log('restarted!')
      })

  })

  //gulp.task('nodemon', gulp.series('lib:compile', 'nodemon:start'))
  gulp.task('nodemon', gulp.series('nodemon:start'))

}
