import _ from 'lodash'

export default function mergePrefixedCliArgs(opts, prefix) {
  const yargs = require('yargs')
  let argv = yargs.argv
  const args = argv[prefix]
  if (!args) return opts
  console.log(`Using task-specific cli args for ${prefix}:`, args)
  opts =  _.merge(opts, {[prefix]: args})
  return opts
}
